PETSc version 3.15.5
Fix/Edit manual page

# TSRegister

Adds a creation method to the TS package.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSRegister(const char sname[], PetscErrorCode (*function)(TS))

Not Collective

### Input Parameters

| name | - The name of a new user-defined creation routine
| create_func | - The creation routine itself

### Notes

TSRegister() may be called multiple times to add several user-defined tses.

### Sample usage

      TSRegister("my_ts",  MyTSCreate);

Then, your ts type can be chosen with the procedural interface via

        TS ts;
        TSCreate(MPI_Comm, &ts);
        TSSetType(ts, "my_ts")

or at runtime via the option

        -ts_type my_ts

### See Also

TSRegisterAll(), TSRegisterDestroy()

### Level

advanced

### Location

src/ts/interface/tsreg.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages